package com.hzya.frame.plugin.wscustomersynchronizationevent.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.plugin.wscustomersynchronizationevent.entity.WsCustomerSynchronizationEventEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/***
 * 万盛客商档案同步插件
 * @content:
 * @author 👻👻👻👻👻👻👻👻 gjh
 * @date  2025-03-03 10:55
 * @param
 * @return
 **/
public interface IWsCustomerSynchronizationEventService extends IBaseService<WsCustomerSynchronizationEventEntity, String> {

    /****
     *  万盛客商档案同步插件，根据不同类型事件处理客商信息
     * @content: onBeforeStart 发起前验证供应商重复  onProcessFinished  结束后同步数据到U8C
     * @author 👻👻👻👻👻👻👻👻 gjh
     * @date  2025-03-03 14:11
     * @param
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity customerSynchronization(JSONObject requestJson);

}
